Đến nội dung


Hình ảnh
- - - - -

Lisp ghi chú thép


  • Please log in to reply
7 replies to this topic

#1 chien_lv

chien_lv

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: -9 (bình thường)

Đã gửi 28 May 2013 - 09:28 PM

E có một lisp như file e đưa lên, và hình vẽ kèm theo. Cách anh chị giúp e sửa sao cho:

Gõ sht thì – nhập điểm thứ nhất

-          Nhập điểm thứ hai

-          Nhập đường kính thép

-          Nhập khoảng cách đặt thép

-          Nhập số hiệu thép

-          Nhập tỷ lệ bản vẽ ( mục đích của cái này là e muốn nó phù hợp với tỷ lệ e đang muốn ghi)

Và điều quan trọng nhất là a chị chỉnh giúp e chữ viết, màu sắc, đường nét giống hình số 1. Và nó có cả cái nét chéo thể hiện như hình số 1 nhé, e xin cảm ơn các anh chị, cảm ơn diễn đàn rất nhiều

 

 

(defun C:sht()
(setvar "cmdecho" 0)
(setvar "orthomode" 0)
(setvar "blipmode" 0)
(setvar "osmode" 551)
   (command "layer" "m" "Duong_giong" "c" 4 "" "")
  (setvar "clayer" "Duong_giong")
  (setvar "cecolor" "bylayer")
(setq p4 (getpoint "\nDiem dau : "))
(setvar "osmode" 0)
(setq p1 (getpoint p4 "\nDiem thu hai : "))
  (command ".redraw" ".line" p4 p1"")
(setvar "orthomode" 1)
(setq p2 (getpoint p1 "\nDiem cuoi : "))
   (if (= p2 nil) (setq p2 (polar p1 0 17.5)))
       
(command ".redraw" ".line"  p1 p2 "")
(command "STYLE" "chuthuong" "vntime,vns" "0" "0.8" "0" "N" "N" "N")  
(setq an (angle p1 p2))
(cond
    ((= an 0)
  (setq p3 (list (+ (car p2) 2.5) (cadr p2)))
  (setq p4 (list (+ (car p1) 2) (cadr p1)))
  (setq st (getstring "\nNhap duong kinh thep <6> : "))
     (if (= st "") (setq st "6"))
  (setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
     (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
  (setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 0 (strcat "%%c" st ", a=" st1))
  (setq st (getstring "\nNhap so hieu thep <1> : "))
     (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 0 st)
  )
    ((= an pi)
  (setq p3 (list (- (car p2) 2.5) (cadr p2)))
  (setq p4 (list (- (car p1) 2) (cadr p1)))
  (setq st (getstring "\nNhap duong kinh thep <6> : "))
     (if (= st "") (setq st "6"))
  (setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
     (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
  (setvar "clayer" "chu")
(command ".text" "j" "br" p4 2.5 0 (strcat "%%c" st  ", a=" st1))
  (setq st (getstring "\nNhap so hieu thep <1> : "))
     (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 0 st)
  )
    ((= an (/ pi 2))
  (setq p3 (list (car p2) (+ (cadr p2) 2.5)))
  (setq p4 (list (car p1)  (+ (cadr p1) 2)))
  (setq st (getstring "\nNhap duong kinh thep <6> : "))
     (if (= st "") (setq st "6"))
  (setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
     (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
  (setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 90 (strcat "%%c" st ", a=" st1))
  (setq st (getstring "\nNhap so hieu thep <1> : "))
     (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 90 st)
  )
    ((= an (/ (* 3 pi) 2))
  (setq p3 (list (car p2) (- (cadr p2) 2.5)))
  (setq p4 (list (car p2) (+ (cadr p2) 3)))
  (setq st (getstring "\nNhap duong kinh thep <6> : "))
     (if (= st "") (setq st "6"))
  (setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
     (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
  (setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 90 (strcat "%%c" st ", a=" st1))
  (setq st (getstring "\nNhap so hieu thep <1> : "))
     (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 90 st) 
  )
)
  (setvar "clayer" "Duong_giong")
  (setvar "cecolor" "bylayer")
(command ".redraw"  ".circle" p3 2.5)
  (setvar "osmode" 7)

(princ)
)

 

 

 

 

http://www.mediafire...rk/Drawing2.dwg

(defun C:sht()
(setvar "cmdecho" 0)
(setvar "orthomode" 0)
(setvar "blipmode" 0)
(setvar "osmode" 551)
  (command "layer" "m" "Duong_giong" "c" 4 "" "")
(setvar "clayer" "Duong_giong")
(setvar "cecolor" "bylayer")
(setq p4 (getpoint "\nDiem dau : "))
(setvar "osmode" 0)
(setq p1 (getpoint p4 "\nDiem thu hai : "))
(command ".redraw" ".line" p4 p1"")
(setvar "orthomode" 1)
(setq p2 (getpoint p1 "\nDiem cuoi : "))
  (if (= p2 nil) (setq p2 (polar p1 0 17.5))) 
        
(command ".redraw" ".line"  p1 p2 "")
(command "STYLE" "chuthuong" "vntime,vns" "0" "0.8" "0" "N" "N" "N")   
(setq an (angle p1 p2))
(cond
  ((= an 0)
(setq p3 (list (+ (car p2) 2.5) (cadr p2)))
(setq p4 (list (+ (car p1) 2) (cadr p1)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 0 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 0 st)
)
  ((= an pi)
(setq p3 (list (- (car p2) 2.5) (cadr p2)))
(setq p4 (list (- (car p1) 2) (cadr p1)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "br" p4 2.5 0 (strcat "%%c" st  ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 0 st)
)
  ((= an (/ pi 2))
(setq p3 (list (car p2) (+ (cadr p2) 2.5)))
(setq p4 (list (car p1)  (+ (cadr p1) 2)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 90 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 90 st)
)
  ((= an (/ (* 3 pi) 2))
(setq p3 (list (car p2) (- (cadr p2) 2.5)))
(setq p4 (list (car p2) (+ (cadr p2) 3)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 90 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 90 st)
)
)
(setvar "clayer" "Duong_giong")
(setvar "cecolor" "bylayer")
(command ".redraw"  ".circle" p3 2.5)
(setvar "osmode" 7)
 
(princ)
)
(defun C:sht()
(setvar "cmdecho" 0)
(setvar "orthomode" 0)
(setvar "blipmode" 0)
(setvar "osmode" 551)
  (command "layer" "m" "Duong_giong" "c" 4 "" "")
(setvar "clayer" "Duong_giong")
(setvar "cecolor" "bylayer")
(setq p4 (getpoint "\nDiem dau : "))
(setvar "osmode" 0)
(setq p1 (getpoint p4 "\nDiem thu hai : "))
(command ".redraw" ".line" p4 p1"")
(setvar "orthomode" 1)
(setq p2 (getpoint p1 "\nDiem cuoi : "))
  (if (= p2 nil) (setq p2 (polar p1 0 17.5))) 
        
(command ".redraw" ".line"  p1 p2 "")
(command "STYLE" "chuthuong" "vntime,vns" "0" "0.8" "0" "N" "N" "N")   
(setq an (angle p1 p2))
(cond
  ((= an 0)
(setq p3 (list (+ (car p2) 2.5) (cadr p2)))
(setq p4 (list (+ (car p1) 2) (cadr p1)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 0 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 0 st)
)
  ((= an pi)
(setq p3 (list (- (car p2) 2.5) (cadr p2)))
(setq p4 (list (- (car p1) 2) (cadr p1)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "br" p4 2.5 0 (strcat "%%c" st  ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 0 st)
)
  ((= an (/ pi 2))
(setq p3 (list (car p2) (+ (cadr p2) 2.5)))
(setq p4 (list (car p1)  (+ (cadr p1) 2)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 90 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 90 st)
)
  ((= an (/ (* 3 pi) 2))
(setq p3 (list (car p2) (- (cadr p2) 2.5)))
(setq p4 (list (car p2) (+ (cadr p2) 3)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 90 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 90 st)
)
)
(setvar "clayer" "Duong_giong")
(setvar "cecolor" "bylayer")
(command ".redraw"  ".circle" p3 2.5)
(setvar "osmode" 7)
 
(princ)
)
(defun C:sht()
(setvar "cmdecho" 0)
(setvar "orthomode" 0)
(setvar "blipmode" 0)
(setvar "osmode" 551)
  (command "layer" "m" "Duong_giong" "c" 4 "" "")
(setvar "clayer" "Duong_giong")
(setvar "cecolor" "bylayer")
(setq p4 (getpoint "\nDiem dau : "))
(setvar "osmode" 0)
(setq p1 (getpoint p4 "\nDiem thu hai : "))
(command ".redraw" ".line" p4 p1"")
(setvar "orthomode" 1)
(setq p2 (getpoint p1 "\nDiem cuoi : "))
  (if (= p2 nil) (setq p2 (polar p1 0 17.5))) 
        
(command ".redraw" ".line"  p1 p2 "")
(command "STYLE" "chuthuong" "vntime,vns" "0" "0.8" "0" "N" "N" "N")   
(setq an (angle p1 p2))
(cond
  ((= an 0)
(setq p3 (list (+ (car p2) 2.5) (cadr p2)))
(setq p4 (list (+ (car p1) 2) (cadr p1)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 0 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 0 st)
)
  ((= an pi)
(setq p3 (list (- (car p2) 2.5) (cadr p2)))
(setq p4 (list (- (car p1) 2) (cadr p1)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "br" p4 2.5 0 (strcat "%%c" st  ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 0 st)
)
  ((= an (/ pi 2))
(setq p3 (list (car p2) (+ (cadr p2) 2.5)))
(setq p4 (list (car p1)  (+ (cadr p1) 2)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 90 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 90 st)
)
  ((= an (/ (* 3 pi) 2))
(setq p3 (list (car p2) (- (cadr p2) 2.5)))
(setq p4 (list (car p2) (+ (cadr p2) 3)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 90 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 90 st)
)
)
(setvar "clayer" "Duong_giong")
(setvar "cecolor" "bylayer")
(command ".redraw"  ".circle" p3 2.5)
(setvar "osmode" 7)
 
(princ)
)

  • 0

#2 quansla

quansla

    biết lệnh xclip

  • Members
  • PipPipPipPipPipPipPip
  • 643 Bài viết
Điểm đánh giá: 224 (khá)

Đã gửi 28 May 2013 - 10:35 PM

Cá nhân thì thấy dùng block thuộc tính nhanh hơn, dễ hơn

P/s bạn vẫn thiếu dữ kiện, theo như lisp của bạn thì đang ở tỷ lệ bao nhiêu để có thể quy đổi về tỷ lệ mong muốn


  • 0

#3 chien_lv

chien_lv

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: -9 (bình thường)

Đã gửi 28 May 2013 - 10:49 PM

block thuộc tính nhưng e mới học nên không biết nhiều cái đó, a có thể nói rõ hơn không ạ, mà ý e muốn khi vẽ lisp đó đến chỗ nhập tỷ lệ bản vẽ thì mình sẽ nhập theo tỷ lệ bản vẽ đang vẽ , giả sử đang vẽ trong tỷ lệ 1/50 thì mình nhập 1/50 thì nó phù hợp với hình của hình đang vẽ hơn


  • 0

#4 quansla

quansla

    biết lệnh xclip

  • Members
  • PipPipPipPipPipPipPip
  • 643 Bài viết
Điểm đánh giá: 224 (khá)

Đã gửi 30 May 2013 - 12:49 PM

Không hiểu ý mình rồi, ý mình là nếu xài lisp của bạn thì nó sẽ tự vẽ ra một (một số) đối tượng để thể hiện ghi chú thép. nhưng đó là kích thước ở Model và đó là ở tỷ lệ nào, mình xài layout+Annotaive nên sử dụng block động, tương đối dễ dàng, vừa cài xong win chưa làm gì được, mình sẽ sớm đưa file video và dwg để bạn xem trước, trong lúc đó bạn có thể xem thêm trong diễn đàn

Chúc bạn thành công


  • 0

#5 chien_lv

chien_lv

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: -9 (bình thường)

Đã gửi 30 May 2013 - 03:43 PM

cảm ơn a. có gì a sớm chỉ báo giúp e nhé, thank 


  • 0

#6 quansla

quansla

    biết lệnh xclip

  • Members
  • PipPipPipPipPipPipPip
  • 643 Bài viết
Điểm đánh giá: 224 (khá)

Đã gửi 30 May 2013 - 07:32 PM

cảm ơn a. có gì a sớm chỉ báo giúp e nhé, thank 

Của bạn đây, ko chắc là được bao lâu, hôm nay là 30-5-2013, sợ link sớm die mất (MF)

http://www.mediafire...hi_Chu_Thep.rar

Link mirror

http://205.196.122.1...hi Chu Thep.rar


  • 0

#7 chien_lv

chien_lv

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: -9 (bình thường)

Đã gửi 30 May 2013 - 09:35 PM

Em cảm ơn anh nhiều


  • 0

#8 quansla

quansla

    biết lệnh xclip

  • Members
  • PipPipPipPipPipPipPip
  • 643 Bài viết
Điểm đánh giá: 224 (khá)

Đã gửi 31 May 2013 - 10:19 AM

quansla video bị lỗi a ạ, kmp không đọc được, a dùng gì để đọc vậy

huk, hỏi bạn cùng phòng đi,


  • 0